Summary: Bidirectional data relay between two data channels ('netcat++')
Name: socat
Version: 1.7.3.2
Release: 1
License: GPLv2
URL:  http://www.dest-unreach.org/%{name}
Source0: http://www.dest-unreach.org/socat/download/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch
Group: Applications/Internet

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: patch
BuildRequires: gcc >= 4.5.4-1
BuildRequires: openssl-devel >= 1.0.2o-1
BuildRequires: readline-devel >= 7.0-3

Requires: bash
Requires: openssl >= 1.0.2o-1
Requires: readline >= 7.0-3

%description
Socat is a relay for bidirectional data transfer between two independent data
channels. Each of these data channels may be a file, pipe, device (serial line
etc. or a pseudo terminal), a socket (UNIX, IP4, IP6 - raw, UDP, TCP), an
SSL socket, proxy CONNECT connection, a file descriptor (stdin etc.), the GNU
line editor (readline), a program, or a combination of two of these. 


%prep
%setup -q
%patch0


%build
export CC="gcc"

export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"

export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-help \
    --enable-stdio \
    --enable-fdnum \
    --enable-file \
    --enable-creat \
    --enable-gopen \
    --enable-pipe \
    --enable-termios \
    --enable-unix \
    --enable-ip4 --enable-ip6 \
    --enable-rawip \
    --enable-tcp --enable-udp \
    --enable-listen \
    --enable-proxy \
    --enable-exec \
    --enable-system \
    --enable-pty \
    --enable-readline \
    --enable-openssl \
    --enable-sycls \
    --enable-filan \
    --enable-retry \
    --enable-libwrap \
    --enable-fips

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files 
%defattr(-,root,system)
%doc BUGREPORTS CHANGES DEVELOPMENT EXAMPLES FAQ PORTING
%doc COPYING* README SECURITY testcert.conf
%doc daemon.sh ftp.sh gatherinfo.sh mail.sh proxy.sh 
%doc proxyecho.sh readline.sh readline-test.sh
%doc socks4echo.sh socks4a-echo.sh test.sh
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Wed Jun 13 2018 Michael Perzl <michael@perzl.org> - 1.7.3.2-1
- updated to version 1.7.3.2

* Wed Nov 16 2016 Michael Perzl <michael@perzl.org> - 1.7.3.1-2
- recompiled against latest versions

* Mon May 02 2016 Michael Perzl <michael@perzl.org> - 1.7.3.1-1
- updated to version 1.7.3.1

* Fri Mar 04 2016 Michael Perzl <michael@perzl.org> - 1.7.3.0-2
- recompiled against latest version of openssl

* Thu Apr 02 2015 Michael Perzl <michael@perzl.org> - 1.7.3.0-1
- updated to version 1.7.3.0

* Mon Mar 10 2014 Michael Perzl <michael@perzl.org> - 1.7.2.4-1
- updated to version 1.7.2.4

* Wed Jan 29 2014 Michael Perzl <michael@perzl.org> - 1.7.2.3-1
- updated to version 1.7.2.3

* Fri Jun 21 2013 Michael Perzl <michael@perzl.org> - 1.7.2.2-1
- first version for AIX V5.1 and higher
